Subject: bug#20069: 24.4.91; url does not register any auth method

From: "Jose A. Ortega Ruiz" <[email-masked]>
Date: Tue, 29 Dec 2015 01:16:34 +0100

On Fri, Dec 25 2015, Lars Ingebrigtsen wrote:

> "Jose A. Ortega Ruiz" <[email-masked]> writes:
>
>> The other problem with the error message is probably worth fixing, but
>> of course not a regression.
>
> Could you submit a patch for the error message problem?

Please find one attached.  I'm not sure it's the best error message, but
at least avoids the error displaying it.

>From 0332b85adcd75342f62cb94d94925117418e305c Mon Sep 17 00:00:00 2001
From: Jose Antonio Ortega Ruiz <[email-masked]>
Date: Tue, 29 Dec 2015 01:12:58 +0100
Subject: [PATCH] Fix for error reporting in URL package (#20069)

Signed-off-by: Jose Antonio Ortega Ruiz <[email-masked]>
---
 lisp/url/url-http.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
index c5b6ef3..e34f352 100644
--- a/lisp/url/url-http.el
+++ b/lisp/url/url-http.el
@@ -420,7 +420,7 @@ url-http-handle-authentication
 	(progn
 	  (widen)
 	  (goto-char (point-max))
-	  (insert "<hr>Sorry, but I do not know how to handle " type
+	  (insert "<hr>Sorry, but I do not know how to handle " (or type auth url "")
 		  " authentication.  If you'd like to write it,"
 		  " please use M-x report-emacs-bug RET.<hr>")
           ;; We used to set a `status' var (declared "special") but I can't
-- 
2.6.4